> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new work order

> Create a new work order

### Request body

JSON body of type `CreateWorkOrderRequest`.

### Responses

<ResponseField name="201" type="ApiResponse_WorkOrderResponse">
  Work order created
</ResponseField>

<ResponseField name="400" type="ErrorResponse">
  Invalid request
</ResponseField>

<ResponseField name="401" type="ErrorResponse">
  Unauthorized
</ResponseField>

<ResponseField name="403" type="ErrorResponse">
  Forbidden
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/work-orders' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{}'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "data": {
      "asset_id": null,
      "assigned_to": null,
      "bill_of_materials_number": null,
      "created_at": "2026-07-24T12:00:00Z",
      "description": null,
      "due_date": null,
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "parts_required": {},
      "priority": "string",
      "quantity_produced": null,
      "status": "string",
      "title": "string",
      "updated_at": "2026-07-24T12:00:00Z"
    },
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
